| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csMutex Member List

This is the complete list of members for csMutex, including all inherited members.

Create(bool recursive=false) | csMutex | `[static]`
csRefCount() | csRefCount | `[inline]`
DecRef() | csRefCount | `[inline]`
Delete() | csRefCount | `[inline, protected, virtual]`
GetLastError() const =0 | csMutex | `[pure virtual]`
GetRefCount() const | csRefCount | `[inline]`
IncRef() | csRefCount | `[inline]`
IsRecursive() const =0 | csMutex | `[pure virtual]`
LockTry()=0 | csMutex | `[pure virtual]`
LockWait()=0 | csMutex | `[pure virtual]`
ref_count | csRefCount | `[protected]`
Release()=0 | csMutex | `[pure virtual]`
~csRefCount() | csRefCount | `[inline, protected, virtual]`